package com.cocos.aidl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import android.os.IBinder;
import android.os.Parcel;
import android.os.RemoteException;
import com.cocos.aidl.ICocosBinderFactoryCallback;

class Proxy implements ICocosBinderFactoryCallback {
  private IBinder mRemote;
  
  public static ICocosBinderFactoryCallback sDefaultImpl;
  
  Proxy(IBinder remote) {
    this.mRemote = remote;
  }
  
  public IBinder asBinder() {
    return this.mRemote;
  }
  
  public String getInterfaceDescriptor() {
    return "com.cocos.aidl.ICocosBinderFactoryCallback";
  }
  
  public boolean onScriptEvent(String serviceName, String eventName, String strArg, byte[] binArg, long tag) throws RemoteException {
    boolean _result;
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosBinderFactoryCallback");
      _data.writeString(serviceName);
      _data.writeString(eventName);
      _data.writeString(strArg);
      _data.writeByteArray(binArg);
      _data.writeLong(tag);
      boolean _status = this.mRemote.transact(1, _data, _reply, 0);
      if (!_status && ICocosBinderFactoryCallback.Stub.getDefaultImpl() != null)
        return ICocosBinderFactoryCallback.Stub.getDefaultImpl().onScriptEvent(serviceName, eventName, strArg, binArg, tag); 
      _reply.readException();
      _result = (0 != _reply.readInt());
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
    return _result;
  }
  
  public boolean onScriptReturn(String strArg, byte[] binArg, long tag) throws RemoteException {
    boolean _result;
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosBinderFactoryCallback");
      _data.writeString(strArg);
      _data.writeByteArray(binArg);
      _data.writeLong(tag);
      boolean _status = this.mRemote.transact(2, _data, _reply, 0);
      if (!_status && ICocosBinderFactoryCallback.Stub.getDefaultImpl() != null)
        return ICocosBinderFactoryCallback.Stub.getDefaultImpl().onScriptReturn(strArg, binArg, tag); 
      _reply.readException();
      _result = (0 != _reply.readInt());
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
    return _result;
  }
}
